Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaign_id
string
required

The ID of the toll-free campaign to retrieve.

Example:

"tfc_01j9a43avnfqzbjfch6pygv1td"

Response

Toll-free campaign

A toll-free campaign registration for a phone number.

A consent flow returned on toll-free campaign responses.

description
string | null
required
id
string
required

The toll-free campaign ID

includes
enum<string>[]
required
Available options:
age_gated
message_samples
string[]
required
phone_number_id
string
required

The toll-free phone number ID

privacy_policy_url
string<uri> | null
required
status
enum<string>
required

The current status of the toll-free campaign.

Available options:
active,
canceled,
created,
in_review,
rejected
terms_and_conditions_url
string<uri> | null
required
use_cases
enum<string>[]
required
Available options:
two_factor_authentication,
account_notification,
customer_care,
charity,
delivery_notification,
fraud_alert,
event,
higher_education,
k12_education,
marketing,
polling_voting,
political,
public_service_announcement,
security_alert